package ru.pricepulse.parsingservice.persistence.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import ru.pricepulse.parsingservice.persistence.entity.ProductEntity;

import java.util.List;

public interface ProductRepository extends JpaRepository<ProductEntity, Long> {

    boolean existsByUrl(String url);

    ProductEntity findByUrl(String url);
    List<ProductEntity> findAllByUrlIn(List<String> urls);

}
